Subscribers
Change a subscriber
Fields left out or null change nothing. tags, when present, replaces the whole set of tags.
PUT
/
api
/
v1
/
subscribers
/
{subscriber}
Change a subscriber
curl --request PUT \
--url https://{host}/api/v1/subscribers/{subscriber} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "Ada",
"tags": [
"client",
"vip"
]
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'Ada', tags: ['client', 'vip']})
};
fetch('https://{host}/api/v1/subscribers/{subscriber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/v1/subscribers/{subscriber}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'Ada',
'tags' => [
'client',
'vip'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/api/v1/subscribers/{subscriber}"
payload = {
"first_name": "Ada",
"tags": ["client", "vip"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"timezone": "<string>",
"locale": "<string>",
"status": "unconfirmed",
"tags": [
"<string>"
],
"attributes": {},
"list": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subscribed_at": "2023-11-07T05:31:56Z",
"unsubscribed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"message": "Unauthenticated."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "The email field must be a valid email address.",
"errors": {}
}Authorizations
An API token. The "read" ability: GET routes only. "read + write": every route.
Headers
Replay a write safely: the same key gives back the first answer for 24 hours (header Idempotent-Replay: true).
Maximum string length:
255Path Parameters
The subscriber's identifier (uuid).
Body
application/json
Response
The subscriber, changed.
Show child attributes
Show child attributes
⌘I
Change a subscriber
